# File: Photobook.py
# 
# Copyright (c) 2005 by Paxamas
# Generator: ArchGenXML Version 1.4.0-beta2 http://sf.net/projects/archetypes/
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''Bert De Winter <>'''
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from Products.CMFCore import CMFCorePermissions



from Products.PaxPhotobook.config import *
##code-section module-header #fill in your manual code here
##/code-section module-header

schema = BaseSchema +Schema((
        StringField('url',
        widget=StringWidget(
            label='url',
            label_msgid='PaxPhotobook_label_url',
            description_msgid='PaxPhotobook_help_url',
            i18n_domain='PaxPhotobook',
        )
    ),	
				
    StringField('FTP_path',
        widget=StringWidget(
            label='FTP_path',
            label_msgid='PaxPhotobook_label_FTP_path',
            description_msgid='PaxPhotobook_help_FTP_path',
            i18n_domain='PaxPhotobook',
        )
    ),

    StringField('FTP_host',
        widget=StringWidget(
            label='FTP_host',
            label_msgid='PaxPhotobook_label_FTP_host',
            description_msgid='PaxPhotobook_help_FTP_host',
            i18n_domain='PaxPhotobook',
        )
    ),
    
    StringField('FTP_login',
        widget=StringWidget(
            label='FTP_login',
            label_msgid='PaxPhotobook_label_FTP_login',
            description_msgid='PaxPhotobook_help_FTP_login',
            i18n_domain='PaxPhotobook',
        )
    ),
    
        StringField('FTP_password',
        widget=PasswordWidget(
            label='FTP_password',
            label_msgid='PaxPhotobook_label_FTP_password',
            description_msgid='PaxPhotobook_help_FTP_password',
            i18n_domain='PaxPhotobook',
        )
    ),
    
    IntegerField('Columns',
        widget=IntegerWidget(
            label='Columns',
            label_msgid='PaxPhotobook_label_Columns',
            description_msgid='PaxPhotobook_help_Columns',
            i18n_domain='PaxPhotobook',
        )
    ),				
				
    TextField('body',
              searchable=1,
              required=1,
              primary=1,
              default_output_type='text/html',
              allowable_content_types=('text/plain',
                                       'text/structured',
                                       'text/restructured',
                                       'text/html',),
              widget=RichWidget(label='Description'),
              ),				
),
	)

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class Photobook(BaseFolder):
    security = ClassSecurityInfo()
    __implements__ = (getattr(BaseFolder,'__implements__',()),)


    # This name appears in the 'add' box
    archetype_name             = 'Photobook'

    meta_type                  = 'Photobook' 
    portal_type                = 'Photobook' 
    allowed_content_types      = ['Document'] 
    filter_content_types       = 1
    global_allow               = 1
    allow_discussion           = 0
    #content_icon               = 'Photobook.gif'
    immediate_view             = 'base_view'
    default_view               = 'base_view'
    typeDescription            = "Photobook"
    typeDescMsgId              = 'description_edit_photobook'

    schema = BaseFolderSchema + \
             schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header
    actions = ({
        'id': 'view',
        'name': 'View',
        'action': 'string:${object_url}/photobook_view',
        'permissions': (CMFCorePermissions.View,)
        },)

    #Methods

registerType(Photobook,PROJECTNAME)
# end of class Photobook

##code-section module-footer #fill in your manual code here
##/code-section module-footer



